Bug 1009703 - Review Request: roboJournal - Keep a journal/diary of day-to-day events in your life
Review Request: roboJournal - Keep a journal/diary of day-to-day events in yo...
Status: CLOSED DUPLICATE of bug 967659
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 18:45 EDT by Will Kraft
Modified: 2013-10-28 06:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 06:29:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Kraft 2013-09-18 18:45:44 EDT
** FYI: This is my first package and I'm seeking a sponsor. I am the upstream maintainer. **

Spec URL: http://pagewizardwebdesign.com/stuff/pub/fedora/robojournal.spec

SRPM URL: http://pagewizardwebdesign.com/stuff/pub/fedora/robojournal-0.4.2-1.fc18.src.rpm

Description: 
RoboJournal is a cross-platform journal/diary tool written in Qt/C++.
Right now, RoboJournal only supports MySQL but support for SQLite 
(and possibly Postgres) will be added in future releases. RoboJournal 
runs on Windows and Linux.


Fedora Account System Username: pwizard

Koji F20 Builds:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5953085

http://kojipkgs.fedoraproject.org//work/tasks/3088/5953088/robojournal-0.4.2-1.fc20.i686.rpm

http://kojipkgs.fedoraproject.org//work/tasks/3087/5953087/robojournal-0.4.2-1.fc20.x86_64.rpm

http://kojipkgs.fedoraproject.org//work/tasks/3086/5953086/robojournal-0.4.2-1.fc20.armv7hl.rpm

http://kojipkgs.fedoraproject.org//work/tasks/3088/5953088/robojournal-doc-0.4.2-1.fc20.noarch.rpm
Comment 1 Christopher Meng 2013-09-22 22:26:56 EDT
Just a note, don't put subpackage information at the bottom.


######################################################################################################################
# RoboJournal Documentation Package SPEC (9/2/13)

%package doc
BuildArch: noarch
Summary: Documentation files for RoboJournal
Requires: qt-assistant, robojournal

%description doc
Documentation (compiled help file and collection file) for RoboJournal %{version}.

%files doc
%{_defaultdocdir}/robojournal/robojournal.qhc
%{_defaultdocdir}/robojournal/robojournal.qch

Put them under %description of main package.

Also qmake-qt4 can be replaced by macro %qmake_qt4

${RPM_BUILD_ROOT} is weird, please use $RPM_BUILD_ROOT or %{buildroot}

%setup -q -n %{name}-%{version} can just be %setup -q

MUST NOT USE %{?_isa} IN BuildRequires!

See: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#BuildRequires_and_.25.7B_isa.7D
Comment 2 Michael Schwendt 2013-09-23 06:47:02 EDT
> ${RPM_BUILD_ROOT} is weird,

No, the braces are completely okay for shell variables.
Comment 3 Will Kraft 2013-10-03 15:38:16 EDT
I've made the requested changes to my SPEC file and updated the source RPM (see SRPM/SPEC links in the original post).

Here is the latest Koji build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=6014821

Hopefully all problems have been fixed and the package is ready for sponsorship.
Comment 4 Michael Schwendt 2013-10-28 06:29:30 EDT
As outlined in the private email conversation, please continue in the existing review ticket bug 967659 with a complete pair of "Spec URL:" and "SRPM URL:" lines for the updated package. That would also make it possible to run "fedora-review -b 967659" for letting it perform several helpful checks.

*** This bug has been marked as a duplicate of bug 967659 ***

Note You need to log in before you can comment on or make changes to this bug.